Page MenuHomePhabricator

[Epic] Wikimedia dark traffic
Closed, DeclinedPublic

Description

https://meta.wikimedia.org/wiki/User:DarTar/Wikimedia_dark_traffic

  • Write proposal / background research
  • Implement config option
  • Clear with Security
  • Clear with Legal
  • Preliminary community discussion via CL
  • Heads up to Comms
  • Define rollout timeline with Comms
  • Coordinate with external partners T126674
  • Release T87276
  • Monitor any inbound traffic changes on partners' end
  • Write up report T129407

Event Timeline

Trellimport added a project: Research.
Trellimport added a subscriber: DarTar.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 14 2015, 11:29 PM
ggellerman triaged this task as Normal priority.May 15 2015, 12:08 AM
ggellerman moved this task from Staged to In Progress on the Research board.
ggellerman set Security to None.

comments from Trello:

2015-01-20 DarTar:
moved to the research namespace: https://meta.wikimedia.org/wiki/Research:Wikimedia_referrer_policy and posted proposal to the lists. Also opened a phab task: https://phabricator.wikimedia.org/T87276

Discussion currently happening here: https://meta.wikimedia.org/wiki/Research_talk:Wikimedia_referrer_policy

2014-12-19 DarTar:
Feedback obtained, ready to be implemented.

2014-12-10 DarTar:
proposal posted and circulated with Legal / Tech. Waiting for feedback.

Halfak added a subscriber: Halfak.Jun 4 2015, 7:25 PM

I just got a push from Joe @ CrossRef about this. How close are we to being able to make this change?

ggellerman moved this task from In Progress to Blocked on the Research board.Jul 2 2015, 10:16 PM
DarTar moved this task from Done (current quarter) to Blocked on the Research board.
DarTar renamed this task from [mid] Wikimedia dark traffic to Wikimedia dark traffic.Aug 14 2015, 4:18 AM
DarTar updated the task description. (Show Details)
DarTar added a project: Research-consulting.
Sadads added a subscriber: Sadads.Nov 25 2015, 4:29 PM

Had a meeting with @Sadads and @Rdicerb planning for the rollout of T87276 in Q3.

DarTar moved this task from Blocked to In Progress on the Research board.Jan 21 2016, 11:42 PM

Started a preliminary discussion with Ops on the timeline of a possible rollout.

DarTar renamed this task from Wikimedia dark traffic to [Epic] Wikimedia dark traffic.Jan 28 2016, 11:42 PM
DarTar moved this task from In Progress to Epics on the Research board.
DarTar updated the task description. (Show Details)Feb 3 2016, 3:27 AM
He7d3r added a subscriber: He7d3r.Feb 18 2016, 2:02 PM
DarTar updated the task description. (Show Details)Feb 18 2016, 7:54 PM

The rollout is slated for Tuesday 2/22 (T87276).

DarTar updated the task description. (Show Details)Feb 19 2016, 9:57 PM
DarTar updated the task description. (Show Details)Feb 22 2016, 4:40 PM

The change went live as planned on Monday 2/22, with a patch setting the meta referrer to the correct value, it will take up to 30 days to propagate.

jayvdb added a subscriber: jayvdb.Mar 2 2016, 8:08 AM

Note that on T87276 there is a report that WebKit isnt working, so that will mean a decent subset of the dark traffic doesnt light up after this change.

ggellerman moved this task from Backlog to Epics on the Research-Backlog board.Mar 17 2016, 10:19 PM
Sadads added a comment.Apr 1 2016, 5:18 PM

Hi @Rich_Farmbrough we see the conversation, are going to consult with our legal team which supports the privacy conversations and get back to you sometime next week.

leila added a subscriber: leila.Mon, Jul 8, 10:57 AM

I'm declining this task as I don't see immediate work scheduled on this front. If you disagree, please reopen and update the list of folks that should be involved.

leila closed this task as Declined.Mon, Jul 8, 10:58 AM